ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-4/configure
(Generate patch)

Comparing trunk/OOPSE-4/configure (file contents):
Revision 1947 by gezelter, Fri Jan 14 20:15:58 2005 UTC vs.
Revision 1998 by tim, Fri Feb 11 22:37:36 2005 UTC

# Line 4932 | Line 4932 | fi
4932   eval "$as_ac_Header=no"
4933   fi
4934   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4935 + fi
4936 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4937 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4938 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
4939 +  cat >>confdefs.h <<_ACEOF
4940 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4941 + _ACEOF
4942 +
4943 + fi
4944 +
4945 + done
4946 +
4947 +
4948 +
4949 +
4950 +
4951 +
4952 +
4953 +
4954 +
4955 +
4956 +
4957 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4958 + do
4959 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4960 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4961 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4962 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4963 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4964 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4965 + fi
4966 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4967 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4968 + else
4969 +  # Is the header compilable?
4970 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4971 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4972 + cat >conftest.$ac_ext <<_ACEOF
4973 + /* confdefs.h.  */
4974 + _ACEOF
4975 + cat confdefs.h >>conftest.$ac_ext
4976 + cat >>conftest.$ac_ext <<_ACEOF
4977 + /* end confdefs.h.  */
4978 + $ac_includes_default
4979 + #include <$ac_header>
4980 + _ACEOF
4981 + rm -f conftest.$ac_objext
4982 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4983 +  (eval $ac_compile) 2>conftest.er1
4984 +  ac_status=$?
4985 +  grep -v '^ *+' conftest.er1 >conftest.err
4986 +  rm -f conftest.er1
4987 +  cat conftest.err >&5
4988 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4989 +  (exit $ac_status); } &&
4990 +         { ac_try='test -z "$ac_c_werror_flag"
4991 +                         || test ! -s conftest.err'
4992 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4993 +  (eval $ac_try) 2>&5
4994 +  ac_status=$?
4995 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4996 +  (exit $ac_status); }; } &&
4997 +         { ac_try='test -s conftest.$ac_objext'
4998 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4999 +  (eval $ac_try) 2>&5
5000 +  ac_status=$?
5001 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5002 +  (exit $ac_status); }; }; then
5003 +  ac_header_compiler=yes
5004 + else
5005 +  echo "$as_me: failed program was:" >&5
5006 + sed 's/^/| /' conftest.$ac_ext >&5
5007 +
5008 + ac_header_compiler=no
5009 + fi
5010 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5011 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5012 + echo "${ECHO_T}$ac_header_compiler" >&6
5013 +
5014 + # Is the header present?
5015 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5016 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5017 + cat >conftest.$ac_ext <<_ACEOF
5018 + /* confdefs.h.  */
5019 + _ACEOF
5020 + cat confdefs.h >>conftest.$ac_ext
5021 + cat >>conftest.$ac_ext <<_ACEOF
5022 + /* end confdefs.h.  */
5023 + #include <$ac_header>
5024 + _ACEOF
5025 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5026 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5027 +  ac_status=$?
5028 +  grep -v '^ *+' conftest.er1 >conftest.err
5029 +  rm -f conftest.er1
5030 +  cat conftest.err >&5
5031 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5032 +  (exit $ac_status); } >/dev/null; then
5033 +  if test -s conftest.err; then
5034 +    ac_cpp_err=$ac_c_preproc_warn_flag
5035 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5036 +  else
5037 +    ac_cpp_err=
5038 +  fi
5039 + else
5040 +  ac_cpp_err=yes
5041   fi
5042 + if test -z "$ac_cpp_err"; then
5043 +  ac_header_preproc=yes
5044 + else
5045 +  echo "$as_me: failed program was:" >&5
5046 + sed 's/^/| /' conftest.$ac_ext >&5
5047 +
5048 +  ac_header_preproc=no
5049 + fi
5050 + rm -f conftest.err conftest.$ac_ext
5051 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5052 + echo "${ECHO_T}$ac_header_preproc" >&6
5053 +
5054 + # So?  What about this header?
5055 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5056 +  yes:no: )
5057 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5058 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5059 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5060 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5061 +    ac_header_preproc=yes
5062 +    ;;
5063 +  no:yes:* )
5064 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5065 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5066 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5067 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5068 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5069 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5070 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5071 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5072 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5073 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5074 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5075 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5076 +    (
5077 +      cat <<\_ASBOX
5078 + ## ------------------------------ ##
5079 + ## Report this to gezelter@nd.edu ##
5080 + ## ------------------------------ ##
5081 + _ASBOX
5082 +    ) |
5083 +      sed "s/^/$as_me: WARNING:     /" >&2
5084 +    ;;
5085 + esac
5086 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5087 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5088 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5089 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5090 + else
5091 +  eval "$as_ac_Header=\$ac_header_preproc"
5092 + fi
5093   echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5094   echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5095 +
5096 + fi
5097   if test `eval echo '${'$as_ac_Header'}'` = yes; then
5098    cat >>confdefs.h <<_ACEOF
5099   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5100 + _ACEOF
5101 +
5102 + fi
5103 +
5104 + done
5105 +
5106 +
5107 +
5108 +
5109 +
5110 +
5111 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5112 + do
5113 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5114 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5115 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5116 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5117 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5118 + else
5119 +  cat >conftest.$ac_ext <<_ACEOF
5120 + /* confdefs.h.  */
5121   _ACEOF
5122 + cat confdefs.h >>conftest.$ac_ext
5123 + cat >>conftest.$ac_ext <<_ACEOF
5124 + /* end confdefs.h.  */
5125 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5126 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5127 + #define $ac_func innocuous_$ac_func
5128  
5129 + /* System header to define __stub macros and hopefully few prototypes,
5130 +    which can conflict with char $ac_func (); below.
5131 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5132 +    <limits.h> exists even on freestanding compilers.  */
5133 +
5134 + #ifdef __STDC__
5135 + # include <limits.h>
5136 + #else
5137 + # include <assert.h>
5138 + #endif
5139 +
5140 + #undef $ac_func
5141 +
5142 + /* Override any gcc2 internal prototype to avoid an error.  */
5143 + #ifdef __cplusplus
5144 + extern "C"
5145 + {
5146 + #endif
5147 + /* We use char because int might match the return type of a gcc2
5148 +   builtin and then its argument prototype would still apply.  */
5149 + char $ac_func ();
5150 + /* The GNU C library defines this for functions which it implements
5151 +    to always fail with ENOSYS.  Some functions are actually named
5152 +    something starting with __ and the normal name is an alias.  */
5153 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5154 + choke me
5155 + #else
5156 + char (*f) () = $ac_func;
5157 + #endif
5158 + #ifdef __cplusplus
5159 + }
5160 + #endif
5161 +
5162 + int
5163 + main ()
5164 + {
5165 + return f != $ac_func;
5166 +  ;
5167 +  return 0;
5168 + }
5169 + _ACEOF
5170 + rm -f conftest.$ac_objext conftest$ac_exeext
5171 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5172 +  (eval $ac_link) 2>conftest.er1
5173 +  ac_status=$?
5174 +  grep -v '^ *+' conftest.er1 >conftest.err
5175 +  rm -f conftest.er1
5176 +  cat conftest.err >&5
5177 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5178 +  (exit $ac_status); } &&
5179 +         { ac_try='test -z "$ac_c_werror_flag"
5180 +                         || test ! -s conftest.err'
5181 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5182 +  (eval $ac_try) 2>&5
5183 +  ac_status=$?
5184 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5185 +  (exit $ac_status); }; } &&
5186 +         { ac_try='test -s conftest$ac_exeext'
5187 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5188 +  (eval $ac_try) 2>&5
5189 +  ac_status=$?
5190 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5191 +  (exit $ac_status); }; }; then
5192 +  eval "$as_ac_var=yes"
5193 + else
5194 +  echo "$as_me: failed program was:" >&5
5195 + sed 's/^/| /' conftest.$ac_ext >&5
5196 +
5197 + eval "$as_ac_var=no"
5198   fi
5199 + rm -f conftest.err conftest.$ac_objext \
5200 +      conftest$ac_exeext conftest.$ac_ext
5201 + fi
5202 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5203 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5204 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5205 +  cat >>confdefs.h <<_ACEOF
5206 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5207 + _ACEOF
5208  
5209 + fi
5210   done
5211 +
5212 + # special check for _system_configuration because AIX <4.3.2 do not
5213 + # contain the `physmem' member.
5214 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5215 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5216 + cat >conftest.$ac_ext <<_ACEOF
5217 + /* confdefs.h.  */
5218 + _ACEOF
5219 + cat confdefs.h >>conftest.$ac_ext
5220 + cat >>conftest.$ac_ext <<_ACEOF
5221 + /* end confdefs.h.  */
5222 + #include <sys/systemcfg.h>
5223 + int
5224 + main ()
5225 + {
5226 + double x = _system_configuration.physmem;
5227 +  ;
5228 +  return 0;
5229 + }
5230 + _ACEOF
5231 + rm -f conftest.$ac_objext
5232 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5233 +  (eval $ac_compile) 2>conftest.er1
5234 +  ac_status=$?
5235 +  grep -v '^ *+' conftest.er1 >conftest.err
5236 +  rm -f conftest.er1
5237 +  cat conftest.err >&5
5238 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5239 +  (exit $ac_status); } &&
5240 +         { ac_try='test -z "$ac_c_werror_flag"
5241 +                         || test ! -s conftest.err'
5242 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5243 +  (eval $ac_try) 2>&5
5244 +  ac_status=$?
5245 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5246 +  (exit $ac_status); }; } &&
5247 +         { ac_try='test -s conftest.$ac_objext'
5248 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5249 +  (eval $ac_try) 2>&5
5250 +  ac_status=$?
5251 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5252 +  (exit $ac_status); }; }; then
5253 +  echo "$as_me:$LINENO: result: yes" >&5
5254 + echo "${ECHO_T}yes" >&6
5255  
5256 + cat >>confdefs.h <<\_ACEOF
5257 + #define HAVE__SYSTEM_CONFIGURATION 1
5258 + _ACEOF
5259  
5260 + else
5261 +  echo "$as_me: failed program was:" >&5
5262 + sed 's/^/| /' conftest.$ac_ext >&5
5263 +
5264 + echo "$as_me:$LINENO: result: no" >&5
5265 + echo "${ECHO_T}no" >&6
5266 + fi
5267 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5268 +
5269 +
5270 +
5271 +
5272    # clean out junk possibly left behind by a previous configuration
5273    rm -f src/getopt.h
5274    # Check for getopt_long support

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines